#include "cmwcalilocate.h"
#include "ui_cmwcalilocate.h"
#include "logic.h"
CMWCaliLocate::CMWCaliLocate(QWidget *parent) :
    CMWidget(parent),
    ui(new Ui::CMWCaliLocate)
{
    ui->setupUi(this);
}

CMWCaliLocate::~CMWCaliLocate()
{
    delete ui;
}

void CMWCaliLocate::MInit()
{
    Variant *pParam[10]={0};
    CProcess_Locate* pLocate=GET_PROCESS(PROCESS_LOCATE,
                                       SM_MAIN,
                                       CProcess_Locate);

    pParam[0]=pLocate->m_Variants.get_Variant(Var_Process_Locate_SearchStep);
    pParam[1]=pLocate->m_Variants.get_Variant(Var_Process_Locate_SearchCount);
    pParam[2]=pLocate->m_Variants.get_Variant(Var_Process_Locate_StopSleep);
    pParam[3]=pLocate->m_Variants.get_Variant(Var_Process_Locate_LocateNum);
    pParam[4]=pLocate->m_Variants.get_Variant(Var_Process_Locate_MaxDiameterError);
    pParam[5]=pLocate->m_Variants.get_Variant(Var_Process_Locate_TowardOut);
    ui->widget->MParamInit_list(pParam,6);
    mchildwidgets[intptr_t(ui->widget)]=ui->widget;
}
